libzypp: zypp::media::UrlResolverPlugin Class Reference

libzypp 17.38.5

zypp::media::UrlResolverPlugin Class Reference

`#include <zypp/media/UrlResolverPlugin.h>`

## Classes
struct | Impl
| UrlResolverPlugin implementation. More...

## Public Types
using | HeaderList = std::multimap<std::string, std::string>

## Public Member Functions
| ~UrlResolverPlugin ()
| Dtor.

## Static Public Member Functions
static Url | resolveUrl (const Url &url, HeaderList &headers)
| Resolves an url using the installed plugins If no plugin is found the url is resolved as its current value.

## Private Member Functions
| UrlResolverPlugin ()
| Default ctor.

## Private Attributes
RW_pointer< Impl > | _pimpl
| Pointer to implementation.

## Friends
std::ostream & | operator<< (std::ostream &str, const UrlResolverPlugin &obj)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const UrlResolverPlugin::Impl &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const UrlResolverPlugin &obj)
| Stream output.

## Detailed Description

Definition at line 31 of file UrlResolverPlugin.h.

## Member Typedef Documentation

## ◆ HeaderList

using zypp::media::UrlResolverPlugin::HeaderList = std::multimap<std::string, std::string>

Definition at line 39 of file UrlResolverPlugin.h.

## Constructor & Destructor Documentation

## ◆ ~UrlResolverPlugin()

zypp::media::UrlResolverPlugin::~UrlResolverPlugin | ( |  | ) |

Dtor.

Definition at line 89 of file UrlResolverPlugin.cc.

## ◆ UrlResolverPlugin()

zypp::media::UrlResolverPlugin::UrlResolverPlugin | ( |  | ) |
| private

Default ctor.

## Member Function Documentation

## ◆ resolveUrl()

Url zypp::media::UrlResolverPlugin::resolveUrl | ( | const Url & | url,
|  | HeaderList & | headers )
| static

Resolves an url using the installed plugins If no plugin is found the url is resolved as its current value.

Custom headers are inserted in the provided header list

Definition at line 36 of file UrlResolverPlugin.cc.

## Friends And Related Symbol Documentation

## ◆ operator<< [1/3]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const UrlResolverPlugin & | obj )
| friend

Definition at line 92 of file UrlResolverPlugin.cc.

## ◆ operator<<() [2/3]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const UrlResolverPlugin & | obj )
| related

Stream output.

Definition at line 92 of file UrlResolverPlugin.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::media::UrlResolverPlugin::_pimpl
| private

Pointer to implementation.

Definition at line 60 of file UrlResolverPlugin.h.

The documentation for this class was generated from the following files:

- zypp/media/UrlResolverPlugin.h
- zypp/media/UrlResolverPlugin.cc